/**	flagsIO_driver.cpp

	Ivo Dinov, Ph.D.
	http://www.stat.ucla.edu/~dinov

	Demonstrates the construction and use of flag option on command-line calls to execs

	Date: Feb. 20, 2004

	Publically available under GNU License

	Compile by:  bcc32 -IC:\Borland\BCC55\Include -LC:\Borland\BCC55\Lib flagsIO_driver.cpp -o flagsIO_driver.exe
	Test/Run by: flagsIO_driver.exe -flag1 arg1_1 arg1_2 -flag2 arg2_1 arg2_2 arg2_3

 */

#include <stdio.h>
#include <iostream.h>
#include <stdlib.h>

#define StringMaxLength 512		// define the max char-length of a flag or input argument

void main (int argc, char **argv)
{	int i;
	char exec_name[] = "flagsIO_driver.cpp";
	
	cout << "\nCall to: " << exec_name << "\n\n" << endl;
	 
	if (argc<2)
		cout << "Please use the following syntax: flagsIO_driver.exe [-flag args]\n\n" << endl;
	int len = argc;
	int flag=1;

	for (i = 1; i < len; i++)	// For each input argument
	{    	if (argv[i][0]=='-')	// flag argument
		{	cout << "Flag["<<flag<<"]=" << argv[i] << 
				" has the following args associated with it: ";
			while (i+1 < len && argv[i+1][0]!='-')
			{	i++;
				cout << argv[i] << " ";
			}
			cout << "\n\t\tThat's all for this argument!!!"<<endl;
			flag++;
		}
		else {
			cout << "This argument: " << argv[i] << " ... has no flag - Bad Programming Style!!!";
		}
	}
	cout << "No more args on command line!!!" << endl;

	return;
}
